---
title: 'Window: blur event'
slug: Web/API/Window/blur_event
tags:
  - API
  - Event
  - FocusEvent
  - Reference
  - Web
  - Window
  - blur
  - onblur
---
<div>{{APIRef}}</div>

<p>The <strong><code>blur</code></strong> event fires when an element has lost focus.</p>

<p>The opposite of <code>blur</code> is {{domxref("Window/focus_event", "focus")}}.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("FocusEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onblur", "onblur")}}</td>
  </tr>
  <tr>
   <th scope="row">Sync / Async</th>
   <td>Sync</td>
  </tr>
  <tr>
   <th scope="row">Composed</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="Live_example">Live example</h3>

<p>This example changes the appearance of a document when it loses focus. It uses {{domxref("EventTarget.addEventListener()", "addEventListener()")}} to monitor {{domxref("Window/focus_event", "focus")}} and <code>blur</code> events.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;p id="log"&gt;Click on this document to give it focus.&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css">.paused {
  background: #ddd;
  color: #555;
}</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js">function pause() {
  document.body.classList.add('paused');
  log.textContent = 'FOCUS LOST!';
}

function play() {
  document.body.classList.remove('paused');
  log.textContent = 'This document has focus. Click outside the document to lose focus.';
}

const log = document.getElementById('log');

window.addEventListener('blur', pause);
window.addEventListener('focus', play);</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Live_example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("UI Events", "#event-type-blur")}}</td>
   <td>{{Spec2("UI Events")}}</td>
   <td>Added info that this event is composed.</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 Events", "#event-type-blur")}}</td>
   <td>{{Spec2("DOM3 Events")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.blur_event")}}</p>

<p>The value of {{DOMxRef("Document.activeElement")}} varies across browsers while this event is being handled ({{bug(452307)}}): IE10 sets it to the element that the focus will move to, while Firefox and Chrome often set it to the <code>body</code> of the document.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related event: {{domxref("Window/focus_event", "focus")}}</li>
 <li>This event on <code>Element</code> targets: {{domxref("Element/blur_event", "blur")}} event</li>
</ul>
